--DELETE FROM [Config.Activity]
--DELETE FROM [Config.ActivityCategory]

DECLARE @ActivityCategories TABLE
(
	ActivityType INT,
	[Name] NVARCHAR(100),
	LocalisationKey NVARCHAR(100),
	Visible BIT,
	Administrable BIT,
	Editable BIT
)

INSERT INTO @ActivityCategories (ActivityType, Name, LocalisationKey, Visible, Administrable, Editable)
VALUES
	(0, 'Intake/Needs Assessment', 'JobSeekerCategory.001', 1, 1, 1),
	(0, 'Contact/Info Provided', 'JobSeekerCategory.002', 1, 1, 1),
	(0, 'Counseling/Case Management Service (non-Vets)', 'JobSeekerCategory.003', 1, 1, 1),
	(0, 'Counseling', 'JobSeekerCategory.004', 1, 1, 1),
	(0, 'Customer Utilization', 'JobSeekerCategory.005', 1, 1, 1),
	(0, 'Events', 'JobSeekerCategory.006', 1, 1, 1),
	(0, 'Job Search', 'JobSeekerCategory.007', 1, 1, 1),
	(0, 'Orientations/Workshops (non-UI)', 'JobSeekerCategory.008', 1, 1, 1),
	(0, 'Program /Supportive Service Referrals', 'JobSeekerCategory.009', 1, 1, 1),
	(0, 'Testing/Assessments', 'JobSeekerCategory.010', 1, 1, 1),
	(0, 'Training Enrollments/Referrals', 'JobSeekerCategory.011', 1, 1, 1),
	(0, 'UI/Re-employment', 'JobSeekerCategory.012', 1, 1, 1),
	(0, 'Counseling/Case Management/Services (Vets)', 'JobSeekerCategory.013', 1, 1, 1),
	(0, 'Youth Services', 'JobSeekerCategory.014', 1, 1, 1),
	(0, 'Job Seeker Activities', 'ActivityCategory.999', 0, 0, 0),
	
	(1, 'Agreements/Services', 'EmployerCategory.001', 1, 1, 1),
	(1, 'Contact/Info Provided', 'EmployerCategory.002', 1, 1, 1),
	(1, 'Events', 'EmployerCategory.003', 1, 1, 1),
	(1, 'Job and Applicant Management', 'EmployerCategory.004', 1, 1, 1),
	(1, 'Tax Credits', 'EmployerCategory.005', 1, 1, 1),
	(1, 'Testing/Assessments', 'EmployerCategory.006', 1, 1, 1),
	(1, 'Workshops/Seminars', 'EmployerCategory.007', 1, 1, 1)
	
MERGE 
	[Config.ActivityCategory] AS T
USING 
	@ActivityCategories AS S
ON 
	(S.Name = T.Name AND S.ActivityType = T.ActivityType) 
WHEN NOT MATCHED BY TARGET THEN 
	INSERT (ActivityType, Name, LocalisationKey, Visible, Administrable, Editable) 
	VALUES (S.ActivityType, S.Name, S.LocalisationKey, S.Visible, S.Administrable, S.Editable)
WHEN MATCHED THEN 
	UPDATE SET 
		T.LocalisationKey = S.LocalisationKey,
		T.Visible = S.Visible,
		T.Administrable = S.Administrable,
		T.Editable = S.Editable
WHEN NOT MATCHED BY SOURCE THEN 
	UPDATE SET 
		T.LocalisationKey = 'N/A',
		T.Visible = 0,
		T.Administrable = 0,
		T.Editable = 0
OUTPUT 
	$action, inserted.*, deleted.*;

DECLARE @Activities TABLE
(
	Id INT IDENTITY(1, 1),
	CategoryName NVARCHAR(250),
	ActivityType INT,
	ExternalId INT,
	ActivityName NVARCHAR(250),
	Visible BIT,
	Administrable BIT
)

INSERT INTO @Activities (CategoryName, ActivityType, ExternalId, ActivityName, Visible, Administrable)
VALUES
('Intake/Needs Assessment', 0, 11, 'Career Assessment: Initial ', 1, 1),
('Intake/Needs Assessment', 0, 1149, 'Eligibility Determination-HCTC', 1, 1),
('Intake/Needs Assessment', 0, 1202, 'Eligibility Determination-Trade', 1, 1),
('Intake/Needs Assessment', 0, 1200, 'Eligibility Determination-Trade A/RTAA', 1, 1),
('Intake/Needs Assessment', 0, 21, 'Eligibility Determination-Regular', 1, 1),
('Intake/Needs Assessment', 0, 0, 'Eligibility Screening', 1, 1),
('Intake/Needs Assessment', 0, 0, 'Intial Employment Assessment', 1, 1),
('Intake/Needs Assessment', 0, 9, 'Initial Interview/Assessment', 1, 1),
('Intake/Needs Assessment', 0, 1220, 'Gold Card Services Eligible-Accepted', 1, 1),
('Intake/Needs Assessment', 0, 1221, 'Gold Card Services Eligible-Declined', 1, 1),
('Intake/Needs Assessment', 0, 0, 'REA Assessment', 1, 1),
('Intake/Needs Assessment', 0, 0, 'REA Assessment / Online/Self-Services', 1, 1),
('Intake/Needs Assessment', 0, 0, 'REA Enrolled', 1, 1),
('Intake/Needs Assessment', 0, 0, 'RES Assessment ', 1, 1),
('Intake/Needs Assessment', 0, 0, 'RES Assessment / Online/Self-Services ', 1, 1),
('Intake/Needs Assessment', 0, 0, 'RES Enrolled', 1, 1),
('Intake/Needs Assessment', 0, 0, 'Service Needs Evaluation', 1, 1),

('Contact/Info Provided', 0, 0, 'E-Mail: Blast', 1, 1),
('Contact/Info Provided', 0, 0, 'E-Mail: Individual', 1, 1),
('Contact/Info Provided', 0, 0, 'Follow-up:  General', 1, 1),
('Contact/Info Provided', 0, 0, 'Letter', 1, 1),
('Contact/Info Provided', 0, 0, 'Phone Call/Left Message', 1, 1),
('Contact/Info Provided', 0, 0, 'Info: Assessment Services', 1, 1),
('Contact/Info Provided', 0, 0, 'Info: Bonding', 1, 1),
('Contact/Info Provided', 0, 0, 'Info: Career Counseling Services', 1, 1),
('Contact/Info Provided', 0, 0, 'Info: Demand Occupations', 1, 1),
('Contact/Info Provided', 0, 0, 'Info: Financial Aid', 1, 1),
('Contact/Info Provided', 0, 0, 'Info: Job Placement', 1, 1),
('Contact/Info Provided', 0, 0, 'Info: Job Search', 1, 1),
('Contact/Info Provided', 0, 0, 'Info: Job Skill Needs', 1, 1),
('Contact/Info Provided', 0, 0, 'Info: Labor Market Information', 1, 1),
('Contact/Info Provided', 0, 0, 'Info: Labor Market Information / Customized', 1, 1),
('Contact/Info Provided', 0, 0, 'Info: Local Area Performance', 1, 1),
('Contact/Info Provided', 0, 0, 'Info: Online Services & Activities', 1, 1),
('Contact/Info Provided', 0, 0, 'Info: Other Self-Services', 1, 1),
('Contact/Info Provided', 0, 0, 'Info: Program Cost/Performance', 1, 1),
('Contact/Info Provided', 0, 0, 'Info: Supportive Services', 1, 1),
('Contact/Info Provided', 0, 0, 'Info: Training/Workshop Information', 1, 1),
('Contact/Info Provided', 0, 0, 'Info: Vocational Guidance', 1, 1),
('Contact/Info Provided', 0, 0, 'Info: Workforce Services', 1, 1),

('Counseling/Case Management Service (non-Vets)', 0, 16, 'Case Management: Assigned (Non-Vets)', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 106, 'Case Management: Client-Centered', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 1080, 'Case Management: Closed', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 390, 'Case Management: Follow-up (General)', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Case Management: Follow-up (Post-Case)', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Case Management: Follow-up (Trade)', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 1019, 'Case Management: Other', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 18, 'Case Management: Received Services (Non-Vets)', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 11, 'Counseling: Career Assessment/Comprehensive', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Counseling: Career Assessment/Test Results Review', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 330, 'Counseling: Career Guidance', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Counseling: Career/Labor Market Info', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Counseling: Case Management Contact', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Counseling: Continuing Employment Assessment', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 240, 'Counseling: Employability Skills', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Counseling: Final Employment Assessment', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 13, 'Counseling: Group Sessions', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 111, 'Counseling: Individual Employment Plan Developed', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Counseling: Individual Employment Plan Review ', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 12, 'Counseling: Individual & Career Planning', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 31, 'Counseling: Interest Inventory', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 40, 'Counseling: Job Coaching', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 36, 'Counseling: Job Finding Club', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Counseling: Job Finding Club - Claimant Re-employment', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 1043, 'Counseling: Job Preparation/Interviewing Skills', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Counseling: Job Retention Services', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 32, 'Counseling: Job Search Planning', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 42, 'Counseling:  Post-Placement', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Counseling: Soft Skills Assessment', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Counseling: Training Waiver Review', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 20, 'Counseling: Vocational Guidance-Other', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Counseling: Vocational Rehab-Other', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 105, 'Service: Alternate Work Experience', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Service: ATAA/RTAA', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Service: Basic Skills or Literacy ', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Service: Disaster Relief Employment', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 1151, 'Service: Incumbant Worker Service', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 113, 'Service: Internship', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Service: Job Post Review', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Service: Needs-Based Payment', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Service: Other Intensive', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 71, 'Service: Other Reportable WF', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Service: Other Reportable WF Follow-up', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Service: Planned Gap in Service', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Service: Pre-Layoff Assistance', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Service: Pre-Vocational Assistance', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Service: Re-employment Trade Adjustment Assistance', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 1044, 'Service: Relocation Assistance', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 37, 'Service: Resume Preparation Assistance', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Service: Supported Employment ', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Service: WOTC', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Service: Work Experience', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 0, 'Service: Work-Search Review', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 39, 'Workforce Info Services-Staff-Assisted LMI', 1, 1),
('Counseling/Case Management Service (non-Vets)', 0, 361, 'Workforce Info Services-Self-Service LMI', 0, 0),

('Counseling/Case Management/Services (Vets)', 0, 0, 'Info: Veterans Priority of Service', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 1239, 'Info: VRAP - Cannot contact customer', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 1235, 'Info: VRAP - Customer contact attempted', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 1237, 'Info: VRAP - Customer found employment', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 1236, 'Info: VRAP - Customer needs assistance', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 1238, 'Info: VRAP - Customer needs no assistance', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 15, 'Case Management: Assigned (Veterans)', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 106, 'Case Management: Client-Centered', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 1080, 'Case Management: Closed (Veterans)', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 390, 'Case Management: Follow-up (General)', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Case Management: Follow-up (Post-Case-Vets)', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Case Management: Follow-up (Trade)', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 1019, 'Case Management: Other', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 17, 'Case Management: Received Services (Veterans)', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 11, 'Counseling: Career Assessment/Comprehensive', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Counseling: Career Assessment/Test Results Review', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 330, 'Counseling: Career Guidence', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Counseling: Career/Labor Market Info', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Counseling: Case Management Contact (Veterans)', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Counseling: Continuing Employment Assessment', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 240, 'Counseling: Employability Skills', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Counseling: Final Employment Assessment', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 13, 'Counseling: Group Sessions', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 111, 'Counseling: Individual Employment Plan Developed', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Counseling: Individual Employment Plan Review ', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 12, 'Counseling: Individual & Career Planning', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 31, 'Counseling: Interest Inventory', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 40, 'Counseling: Job Coaching', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 36, 'Counseling: Job Finding Club', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Counseling: Job Finding Club - Claimant Re-employment', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 1043, 'Counseling: Job Preparation/ Interviewing Skills', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Counseling: Job Retention Services', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 32, 'Counseling: Job Search Planning', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Counseling: Soft Skills Assessment', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 19, 'Counseling: Vocational Guidance (Vets) ', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Counseling: Vocational Rehab-VA', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 105, 'Service: Alternate Work Experience', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Service: ATAA/RTAA', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Service: Basic Skills or Literacy Service', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Service: Disaster Relief Employment', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 1222, 'Service: Gold Card Outreach', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 1214, 'Service: Incarcerated Veteran Outreach', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 1151, 'Service: Incumbant Worker ', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 113, 'Service: Internship', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Service: Job Post Review', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Service: Needs-Based Payment', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Service: Other Intensive', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 71, 'Service: Other Reportable Veteran ', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Service: Other Reportable Veteran Follow-up', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Service: Planned Gap in Service', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Service: Pre-Layoff Assistance', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Service: Pre-Vocational Assistance', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Service: Re-employment Trade Adjustment Assistance', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 1044, 'Service: Relocation Assistance', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 37, 'Service: Resume Preparation Assistance', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Service: Supported Employment ', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Service: WOTC', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Service: Work Experience', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Service: Work-Search Review', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 39, 'Workforce Info Services-Staff-Assisted LMI', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Workshop: Other (DVOP-provided)', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 363, 'Workshop: TAP', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Workshop: TAP Attended (DVOP-provided)', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 0, 'Workshop: TAP Attended (Off-Base )', 1, 1),
('Counseling/Case Management/Services (Vets)', 0, 361, 'Workforce Info Services-Self-Service LMI', 0, 0),

('Customer Utilization', 0, 1188, 'Mobile Job Center', 1, 1),
('Customer Utilization', 0, 46, 'Resource Rooms', 1, 1),
('Customer Utilization', 0, 1186, 'Translation Services', 1, 1),

('Events ', 0, 44, 'Job Fair Attended', 1, 1),
('Events ', 0, 1181, 'Job Fair Information Provided', 1, 1),
('Events ', 0, 0, 'Job Fair Screening', 1, 1),

('Job Search', 0, 114, 'Assisted Job Search', 1, 1),
('Job Search', 0, 0, 'Assisted Job Search - Out-of-Area', 1, 1),
('Job Search', 0, 0, 'DOC-CPD-Inmates', 1, 1),
('Job Search', 0, 0, 'Employer Referral', 1, 1),
('Job Search', 0, 0, 'External Job Match', 1, 1),
('Job Search', 0, 371, 'External Job Referral', 1, 1),
('Job Search', 0, 38, 'Job Development Contact', 1, 1),
('Job Search', 0, 0, 'Job Development Contact (DVOP)', 1, 1),
('Job Search', 0, 0, 'Job Development Contact (LVER)', 1, 1),
('Job Search', 0, 1207, 'Obtained Employment', 1, 1),
('Job Search', 0, 0, 'Placed: Federal Contractor Job (non-Talent feed)', 1, 1),
('Job Search', 0, 0, 'Placed: Federal Job (non-Talent feed)', 1, 1),
('Job Search', 0, 0, 'Referred: Federal Contractor Job (non-Talent feed)', 1, 1),
('Job Search', 0, 0, 'Referred: Federal Job (non-Talent feed)', 1, 1),
('Job Search', 0, 0, 'Referred: Job Bank/Portal', 1, 1),
('Job Search', 0, 0, 'Referred: Registered Apprenticeship', 1, 1),
('Job Search', 0, 54, 'Refused Referral (Talent feed)', 1, 1),
('Job Search', 0, 0, 'Refused Referral (non-Talent feed)', 1, 1),

('Orientations/Workshops (non-UI)', 0, 0, 'Orientation: Informational Services', 1, 1),
('Orientations/Workshops (non-UI)', 0, 119, 'Orientation: Other', 1, 1),
('Orientations/Workshops (non-UI)', 0, 301, 'Orientation: Rapid Response', 1, 1),
('Orientations/Workshops (non-UI)', 0, 0, 'Orientation: Ex-Offender ', 1, 1),
('Orientations/Workshops (non-UI)', 0, 1232, 'Orientation: Trade     ', 1, 1),
('Orientations/Workshops (non-UI)', 0, 0, 'Orientation: Workforce Center Services', 1, 1),
('Orientations/Workshops (non-UI)', 0, 1250, 'Workshop: Attended', 1, 1),
('Orientations/Workshops (non-UI)', 0, 0, 'Workshop: Attended-Online', 1, 1),
('Orientations/Workshops (non-UI)', 0, 0, 'Workshop: Attended-Other', 1, 1),
('Orientations/Workshops (non-UI)', 0, 1251, 'Workshop: Referred', 1, 1),
('Orientations/Workshops (non-UI)', 0, 0, 'Workshop: Referred-Online', 1, 1),
('Orientations/Workshops (non-UI)', 0, 0, 'Workshop: Referred-Other', 1, 1),
('Orientations/Workshops (non-UI)', 0, 0, 'Workshop: Basic Computer Skills ', 1, 1),
('Orientations/Workshops (non-UI)', 0, 0, 'Workshop: Career Exploration', 1, 1),
('Orientations/Workshops (non-UI)', 0, 0, 'Workshop: Financial / Stress Management', 1, 1),
('Orientations/Workshops (non-UI)', 0, 1041, 'Workshop: Interview Skills', 1, 1),
('Orientations/Workshops (non-UI)', 0, 35, 'Workshop: Job Search', 1, 1),
('Orientations/Workshops (non-UI)', 0, 0, 'Workshop: Keytrain', 1, 1),
('Orientations/Workshops (non-UI)', 0, 0, 'Workshop: Networking', 1, 1),
('Orientations/Workshops (non-UI)', 0, 134, 'Workshop: Occupational Skills', 1, 1),
('Orientations/Workshops (non-UI)', 0, 34, 'Workshop: Resume Writing', 1, 1),
('Orientations/Workshops (non-UI)', 0, 0, 'Workshop: Salary Negotiations', 1, 1),
('Orientations/Workshops (non-UI)', 0, 0, 'Workshop: Social Media', 1, 1),
('Orientations/Workshops (non-UI)', 0, 0, 'Workshop: Soft Skills', 1, 1),

('Program /Supportive Service Referrals', 0, 1086, 'Adult Daycare', 1, 1),
('Program /Supportive Service Referrals', 0, 0, 'Bonding Assistance', 1, 1),
('Program /Supportive Service Referrals', 0, 1242, 'Bridges to Opportunities: Interest', 1, 1),
('Program /Supportive Service Referrals', 0, 1243, 'Bridges to Opportunities: Referral', 1, 1),
('Program /Supportive Service Referrals', 0, 0, 'Child Care: Assistance', 1, 1),
('Program /Supportive Service Referrals', 0, 123, 'Child Care: General', 1, 1),
('Program /Supportive Service Referrals', 0, 0, 'Children First', 1, 1),
('Program /Supportive Service Referrals', 0, 0, 'CSBG: Elderly/Low Income', 1, 1),
('Program /Supportive Service Referrals', 0, 0, 'Corrections', 1, 1),
('Program /Supportive Service Referrals', 0, 0, 'Emergency: ESG', 1, 1),
('Program /Supportive Service Referrals', 0, 0, 'Emergency: FEMA', 1, 1),
('Program /Supportive Service Referrals', 0, 1066, 'Energy: LIHEAP', 1, 1),
('Program /Supportive Service Referrals', 0, 1209, 'Energy: State Energy Sector Partnership (SESP)', 1, 1),
('Program /Supportive Service Referrals', 0, 0, 'Energy: Wintercare', 1, 1),
('Program /Supportive Service Referrals', 0, 0, 'Faith-Based CBO', 1, 1),
('Program /Supportive Service Referrals', 0, 0, 'Food Share/Food Pantry Program', 1, 1),
('Program /Supportive Service Referrals', 0, 1026, 'Goodwill', 1, 1),
('Program /Supportive Service Referrals', 0, 1082, 'Headstart: Early', 1, 1),
('Program /Supportive Service Referrals', 0, 1081, 'Headstart: Regular', 1, 1),
('Program /Supportive Service Referrals', 0, 1240, 'HOME', 1, 1),
('Program /Supportive Service Referrals', 0, 0, 'Homeless Program/Shelter', 1, 1),
('Program /Supportive Service Referrals', 0, 122, 'Housing: Regular Assistance', 1, 1),
('Program /Supportive Service Referrals', 0, 1075, 'Housing: Tenant-Based Rental Assistance', 1, 1),
('Program /Supportive Service Referrals', 0, 0, 'Housing & Urban Development', 1, 1),
('Program /Supportive Service Referrals', 0, 1249, 'KCCGO NEG', 1, 1),
('Program /Supportive Service Referrals', 0, 246, 'Kentucky Employ Network (KEN)', 1, 1),
('Program /Supportive Service Referrals', 0, 1216, 'Kentucky Teleworks', 1, 1),
('Program /Supportive Service Referrals', 0, 0, 'Other Non-WIA Program', 1, 1),
('Program /Supportive Service Referrals', 0, 0, 'Services for Hearing Impaired', 1, 1),
('Program /Supportive Service Referrals', 0, 1080, 'Services for Victims-Spouse Abuse Shelter', 1, 1),
('Program /Supportive Service Referrals', 0, 1084, 'Services for Victims-VOCA', 1, 1),
('Program /Supportive Service Referrals', 0, 1089, 'Services for Visual Assistance/Exams', 1, 1),
('Program /Supportive Service Referrals', 0, 1147, 'Services for Visually Impaired', 1, 1),
('Program /Supportive Service Referrals', 0, 1035, 'Services for Vocational Rehabilitation', 1, 1),
('Program /Supportive Service Referrals', 0, 0, 'Services for Job/Workplace Accommodation', 1, 1),
('Program /Supportive Service Referrals', 0, 0, 'SNAP-Supplemental Nutritional Assistance Program', 1, 1),
('Program /Supportive Service Referrals', 0, 0, 'Supportive Service-General', 1, 1),
('Program /Supportive Service Referrals', 0, 57, 'Supportive Service-Non-Partner', 1, 1),
('Program /Supportive Service Referrals', 0, 0, 'Supportive Service-Other', 1, 1),
('Program /Supportive Service Referrals', 0, 56, 'Supportive Service-Partner', 1, 1),
('Program /Supportive Service Referrals', 0, 0, 'Supportive Service - Staff Arranged', 1, 1),
('Program /Supportive Service Referrals', 0, 0, 'TANF-Temporary Assistance for Needy Families', 1, 1),
('Program /Supportive Service Referrals', 0, 125, 'Transportation Assistance', 1, 1),
('Program /Supportive Service Referrals', 0, 0, 'Veterans Program', 1, 1),
('Program /Supportive Service Referrals', 0, 0, 'Veterans Service Program/Other Organization', 1, 1),
('Program /Supportive Service Referrals', 0, 0, 'W2', 1, 1),
('Program /Supportive Service Referrals', 0, 0, 'WAA', 1, 1),
('Program /Supportive Service Referrals', 0, 1036, 'Wagner-Peyser Program', 1, 1),
('Program /Supportive Service Referrals', 0, 0, 'Welfare-to-Work', 1, 1),

('Testing/Assessments', 0, 0, 'Ability Profiling', 1, 1),
('Testing/Assessments', 0, 0, 'ASSET Entrance Exam', 1, 1),
('Testing/Assessments', 0, 25, 'BEAG', 1, 1),
('Testing/Assessments', 0, 1252, 'Career Advising Plan', 1, 1),
('Testing/Assessments', 0, 0, 'Career Aptitude Assessment', 1, 1),
('Testing/Assessments', 0, 0, 'Career Interest Assessment', 1, 1),
('Testing/Assessments', 0, 23, 'GATB', 1, 1),
('Testing/Assessments', 0, 0, 'GATB Interpretation', 1, 1),
('Testing/Assessments', 0, 203, 'GATB/VG', 1, 1),
('Testing/Assessments', 0, 0, 'GATB/VG Interpretation', 1, 1),
('Testing/Assessments', 0, 0, 'Interest Inventory/Testing', 1, 1),
('Testing/Assessments', 0, 0, 'Interest Interpretation', 1, 1),
('Testing/Assessments', 0, 0, 'JOBehavior Trucking Assessment', 1, 1),
('Testing/Assessments', 0, 26, 'Literacy Skills', 1, 1),
('Testing/Assessments', 0, 0, 'Literacy Interpretation', 1, 1),
('Testing/Assessments', 0, 24, 'NATB', 1, 1),
('Testing/Assessments', 0, 1122, 'NCRC: National Career Readiness Certificate', 1, 1),
('Testing/Assessments', 0, 0, 'NCRC/Work Keys Assessment: Applied Math', 1, 1),
('Testing/Assessments', 0, 0, 'NCRC/Work Keys Assessment: Reading for Info', 1, 1),
('Testing/Assessments', 0, 0, 'NCRC/Work Keys Assessment: Locating Info', 1, 1),
('Testing/Assessments', 0, 0, 'NCRC/Work Keys Assessment: Applied Technology', 1, 1),
('Testing/Assessments', 0, 0, 'NCRC/Work Keys Assessment: Listening', 1, 1),
('Testing/Assessments', 0, 0, 'NCRC/Work Keys Assessment: Readiness Indicators', 1, 1),
('Testing/Assessments', 0, 0, 'NCRC/Work Keys Assessment: Talent', 1, 1),
('Testing/Assessments', 0, 0, 'NCRC/Work Keys Assessment: Teamwork', 1, 1),
('Testing/Assessments', 0, 0, 'NCRC/Work Keys Assessment: Workplace Observation', 1, 1),
('Testing/Assessments', 0, 1206, 'NCRC/Work Keys Referral', 1, 1),
('Testing/Assessments', 0, 30, 'Other/Merit', 1, 1),
('Testing/Assessments', 0, 0, 'Other/Merit Interpretation', 1, 1),
('Testing/Assessments', 0, 1233, 'Predictive Index Behavioral Assessment', 1, 1),
('Testing/Assessments', 0, 0, 'Pre-GED ', 1, 1),
('Testing/Assessments', 0, 29, 'SATB', 1, 1),
('Testing/Assessments', 0, 0, 'SATB Interpretation', 1, 1),
('Testing/Assessments', 0, 0, 'Soft Skills Assessment', 1, 1),
('Testing/Assessments', 0, 0, 'Special Assistance:  General', 1, 1),
('Testing/Assessments', 0, 0, 'Special Assistance:  W-2 ', 1, 1),
('Testing/Assessments', 0, 0, 'Skills Proficiency  ', 1, 1),
('Testing/Assessments', 0, 1016, 'TABE-WF: Assessment ', 1, 1),
('Testing/Assessments', 0, 0, 'TABE-WF: Testing', 1, 1),
('Testing/Assessments', 0, 1173, 'Toyota:  Assessment', 1, 1),
('Testing/Assessments', 0, 0, 'Typing/Clerical/Keyboarding ', 1, 1),
('Testing/Assessments', 0, 0, 'Typing  Interpretation', 1, 1),

('Training Enrollments/Referrals', 0, 0, 'Benchmark Training Review', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Interagency Training Account', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Interagency Training Agreement', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'OJT: Contract ', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'OJT: Department of Veterans Affairs', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Placed in HCTC', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Enrolled: Adult Education', 1, 1),
('Training Enrollments/Referrals', 0, 132, 'Enrolled: Adult Education & Literacy', 1, 1),
('Training Enrollments/Referrals', 0, 397, 'Enrolled: Apprenticeship ', 1, 1),
('Training Enrollments/Referrals', 0, 128, 'Enrolled: Basic Skills ', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Enrolled: Community/Technical College', 1, 1),
('Training Enrollments/Referrals', 0, 224, 'Enrolled: Computer Skills', 1, 1),
('Training Enrollments/Referrals', 0, 129, 'Enrolled: Customized Training', 1, 1),
('Training Enrollments/Referrals', 0, 130, 'Enrolled: English as Second Language', 1, 1),
('Training Enrollments/Referrals', 0, 131, 'Enrolled: Entrepreneurial', 1, 1),
('Training Enrollments/Referrals', 0, 1246, 'Enrolled:  Ethics S.E.N.S.E.', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Enrolled: External Provider', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Enrolled: GED Training (standalone)', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Enrolled: Internal', 1, 1),
('Training Enrollments/Referrals', 0, 211, 'Enrolled: Job Corps', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Enrolled: Job Readiness ', 1, 1),
('Training Enrollments/Referrals', 0, 1178, 'Enrolled: KY Farmworkers', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Enrolled: MSFW (Federal)', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Enrolled: MSFW (State)', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Enrolled: Native American', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Enrolled: Non-WIA Partner Program', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Enrolled: Occupational Classroom', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Enrolled: Older Worker', 1, 1),
('Training Enrollments/Referrals', 0, 135, 'Enrolled: On-the-Job Training', 1, 1),
('Training Enrollments/Referrals', 0, 67, 'Enrolled: Other', 1, 1),
('Training Enrollments/Referrals', 0, 212, 'Enrolled: Other Federal (Excluding  OJT-DAV)', 1, 1),
('Training Enrollments/Referrals', 0, 66, 'Enrolled: Post-secondary', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Enrolled: Prerequisite Education', 1, 1),
('Training Enrollments/Referrals', 0, 139, 'Enrolled: Private-Sector Training', 1, 1),
('Training Enrollments/Referrals', 0, 65, 'Enrolled: Secondary', 1, 1),
('Training Enrollments/Referrals', 0, 138, 'Enrolled: Skills Upgrade Retraining', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Enrolled: Trade Services', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Enrolled: Trade-A/RTAA', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Enrolled: Trade Adjustment Assistance ', 1, 1),
('Training Enrollments/Referrals', 0, 1241, 'Enrolled: TAA-CCCT', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Enrolled: TAA-NAFTA', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Enrolled: TAA-Remedial Education', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Enrolled: TAA-Subsistence', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Enrolled: Training / Workshop', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Enrolled: Training / Workshop - Online', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Enrolled: Veterans Federal', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Enrolled: Vocational Education', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Enrolled: Vocational Rehabilitation Training', 1, 1),
('Training Enrollments/Referrals', 0, 210, 'Enrolled: WIA Services', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Enrolled: WIA Other Program', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Enrolled: Workplace Skills & Related Instruction', 1, 1),
('Training Enrollments/Referrals', 0, 141, 'Enrolled: Workplace Training Instruction', 1, 1),
('Training Enrollments/Referrals', 0, 1025, 'Referred: Adult Education', 1, 1),
('Training Enrollments/Referrals', 0, 132, 'Referred: Adult Education & Literacy', 1, 1),
('Training Enrollments/Referrals', 0, 397, 'Referred: Apprenticeships', 1, 1),
('Training Enrollments/Referrals', 0, 60, 'Referred: Basic Skills ', 1, 1),
('Training Enrollments/Referrals', 0, 1174, 'Referred: Community/Technical College', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Referred: Computer Skills', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Referred: Customized Training', 1, 1),
('Training Enrollments/Referrals', 0, 1038, 'Referred: Dislocated Worker', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Referred: English as Second Language', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Referred: Entrepreneurial', 1, 1),
('Training Enrollments/Referrals', 0, 1157, 'Referred: External Provider', 1, 1),
('Training Enrollments/Referrals', 0, 1197, 'Referred: GED Training (standalone)', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Referred: Health Care Tax Credit (HCTC)', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Referred: Internal', 1, 1),
('Training Enrollments/Referrals', 0, 64, 'Referred: Job Corps', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Referred: Job Readiness ', 1, 1),
('Training Enrollments/Referrals', 0, 1177, 'Referred: KY Farmworkers ', 1, 1),
('Training Enrollments/Referrals', 0, 1029, 'Referred: MSFW (Federal)', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Referred: MSFW (State)', 1, 1),
('Training Enrollments/Referrals', 0, 1031, 'Referred: Native American', 1, 1),
('Training Enrollments/Referrals', 0, 1225, 'Referral to Non-Partner', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Referred: Occupational Classroom', 1, 1),
('Training Enrollments/Referrals', 0, 1033, 'Referred: Older Worker', 1, 1),
('Training Enrollments/Referrals', 0, 135, 'Referred: On-the-Job Training', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Referred: Other', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Referred: Other Federal (Excluding  OJT-DAV)', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Referred: Postsecondary Education', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Referred: Prerequisite Education', 1, 1),
('Training Enrollments/Referrals', 0, 139, 'Referred: Private-Sector Training', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Referred: Secondary Education', 1, 1),
('Training Enrollments/Referrals', 0, 138, 'Referred: Skills Upgrade Retraining', 1, 1),
('Training Enrollments/Referrals', 0, 1203, 'Referred: Trade Services', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Referred: Trade-A/RTAA', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Referred: Trade Adjustment Assistance ', 1, 1),
('Training Enrollments/Referrals', 0, 1246, 'Referred: TAA-CCCT', 1, 1),
('Training Enrollments/Referrals', 0, 1030, 'Referred: TAA-NAFTA', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Referred: TAA-Remedial Education', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Referred: TAA-Subsistence', 1, 1),
('Training Enrollments/Referrals', 0, 205, 'Referred: Training', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Referred: Training / Workshop', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Referred: Training / Workshop - Online', 1, 1),
('Training Enrollments/Referrals', 0, 1034, 'Referred: Veterans Federal', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Referred: Vocational Education', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Referred: Vocational Rehabilitation Training', 1, 1),
('Training Enrollments/Referrals', 0, 204, 'Referred: WIA Services', 1, 1),
('Training Enrollments/Referrals', 0, 1037, 'Referred: WIA Other Program', 1, 1),
('Training Enrollments/Referrals', 0, 0, 'Referred: Workplace Skills & Related Instruction', 1, 1),
('Training Enrollments/Referrals', 0, 141, 'Referred: Workplace Training Instruction', 1, 1),
('Training Enrollments/Referrals', 0, 70, 'Training Termination: Successful Other', 1, 1),
('Training Enrollments/Referrals', 0, 69, 'Training Termination: Successful Post-secondary', 1, 1),
('Training Enrollments/Referrals', 0, 68, 'Training Termination: Successful Secondary', 1, 1),

('UI/Re-employment', 0, 305, 'Basic UI:  FTR Call-in', 1, 1),
('UI/Re-employment', 0, 1176, 'Basic UI: Information Provided', 1, 1),
('UI/Re-employment', 0, 0, 'Basic UI: Orientation', 1, 1),
('UI/Re-employment', 0, 0, 'Basic UI: Workshop', 1, 1),
('UI/Re-employment', 0, 1172, 'Unemployment Insurance Benefits Right Interview', 1, 1),
('UI/Re-employment', 0, 0, 'Case Management-Intensive ', 1, 1),
('UI/Re-employment', 0, 362, 'Orientation: Re-employment', 1, 1),
('UI/Re-employment', 0, 1001, 'ERP: Eligiblilty Review Program', 1, 1),
('UI/Re-employment', 0, 0, 'ERP: Failed to Report (other UI claimant)', 1, 1),
('UI/Re-employment', 0, 0, 'ERP: Failed', 1, 1),
('UI/Re-employment', 0, 0, 'ERP: Passed', 1, 1),
('UI/Re-employment', 0, 1218, 'IRP: Failed to Report', 1, 1),
('UI/Re-employment', 0, 0, 'IRP: Individual Re-employment Plan Developed', 1, 1),
('UI/Re-employment', 0, 0, 'IRP: Individual Re-employment Plan Review ', 1, 1),
('UI/Re-employment', 0, 245, 'Profiling: Case Management', 1, 1),
('UI/Re-employment', 0, 318, 'Profiling: Exempted Mandatory', 1, 1),
('UI/Re-employment', 0, 319, 'Profiling: Failed to Report', 1, 1),
('UI/Re-employment', 0, 0, 'Profiling: Information Provided', 1, 1),
('UI/Re-employment', 0, 14, 'Profiling: Orientation /UI', 1, 1),
('UI/Re-employment', 0, 0, 'Profiling: Orientation / REA', 1, 1),
('UI/Re-employment', 0, 0, 'Profiling: Orientation / REU', 1, 1),
('UI/Re-employment', 0, 1219, 'REA: Failed to Report', 1, 1),
('UI/Re-employment', 0, 1227, 'REA: Labor Market & Career Information', 1, 1),
('UI/Re-employment', 0, 1217, 'REA: Orientation', 1, 1),
('UI/Re-employment', 0, 1231, 'REA: Orientation / Online /Self-Services', 1, 1),
('UI/Re-employment', 0, 0, 'REA: Requirements Fulfilled', 1, 1),
('UI/Re-employment', 0, 0, 'REA/EUC: Failed to Report', 1, 1),
('UI/Re-employment', 0, 1229, 'REA/EUC: Job Search Eligible', 1, 1),
('UI/Re-employment', 0, 0, 'REA/EUC: Labor Market & Career Information', 1, 1),
('UI/Re-employment', 0, 0, 'REA/EUC: Regular', 1, 1),
('UI/Re-employment', 0, 1230, 'REA/EUC: Requirements Fulfilled', 1, 1),
('UI/Re-employment', 0, 0, 'RES: Failed to Report', 1, 1),
('UI/Re-employment', 0, 0, 'RES: Orientation', 1, 1),
('UI/Re-employment', 0, 0, 'RES: Orientation / Online/Self-Services', 1, 1),
('UI/Re-employment', 0, 0, 'RES/EUC:  Failed to Report', 1, 1),

('Youth Services', 0, 0, 'Enrolled: Youth Services', 1, 1),
('Youth Services', 0, 1039, 'Referred: Youth Services', 1, 1),
('Youth Services', 0, 0, 'Design Framework: Assessment', 1, 1),
('Youth Services', 0, 0, 'Design Framework: Case Management', 1, 1),
('Youth Services', 0, 0, 'Design Framework: Individual Service Strategy', 1, 1),
('Youth Services', 0, 0, 'Service: Adult Basic Education', 1, 1),
('Youth Services', 0, 41, 'Service: Adult Mentoring', 1, 1),
('Youth Services', 0, 0, 'Service: Alternative Secondary School', 1, 1),
('Youth Services', 0, 0, 'Service: Apprenticeship', 1, 1),
('Youth Services', 0, 0, 'Service: Career Development', 1, 1),
('Youth Services', 0, 0, 'Service: Comprehensive Guidance/Counseling', 1, 1),
('Youth Services', 0, 140, 'Service: Dropout Prevention Strategies', 1, 1),
('Youth Services', 0, 0, 'Service: Instruction Leading to Secondary School Completion', 1, 1),
('Youth Services', 0, 113, 'Service: Internships', 1, 1),
('Youth Services', 0, 0, 'Service: Job Search', 1, 1),
('Youth Services', 0, 0, 'Service: Job Shadowing', 1, 1),
('Youth Services', 0, 0, 'Service: Needs-Related Payments/Stipends', 1, 1),
('Youth Services', 0, 0, 'Service: Paid Work Experience', 1, 1),
('Youth Services', 0, 0, 'Service: Planned Gap in Service', 1, 1),
('Youth Services', 0, 0, 'Service: Summer Youth Employment Opportunities', 1, 1),
('Youth Services', 0, 0, 'Service: Supportive Services (Non-Partner)', 1, 1),
('Youth Services', 0, 0, 'Service: Supportive Services (Partner)', 1, 1),
('Youth Services', 0, 0, 'Service: Unpaid Work Experience', 1, 1),
('Youth Services', 0, 0, 'Service: Unsubsidized Employment', 1, 1),
('Youth Services', 0, 0, 'Training: Financial Literacy/Budgeting', 1, 1),
('Youth Services', 0, 140, 'Training: Tutoring', 1, 1),
('Youth Services', 0, 0, 'Training: Leadership Development', 1, 1),
('Youth Services', 0, 0, 'Training: Occupation Skills', 1, 1),
('Youth Services', 0, 0, 'Training: On-the-Job', 1, 1),
('Youth Services', 0, 0, 'Training: Parental Skills', 1, 1),
('Youth Services', 0, 0, 'Training: Study Skills', 1, 1),
('Youth Services', 0, 0, 'Training: Work Readiness', 1, 1),

('Job Seeker Activities', 0, 45, 'Self-Service Systems (Non-OSOS)', 0, 0)

INSERT INTO @Activities (CategoryName, ActivityType, ExternalId, ActivityName, Visible, Administrable)
VALUES
('Agreements/Services', 1, 1009, 'Agreement: Business Partnership', 1, 1),
('Agreements/Services', 1, 0, 'Agreement: Exclusive Hiring', 1, 1),
('Agreements/Services', 1, 1024, 'Agreement: OJT', 1, 1),
('Agreements/Services', 1, 0, 'Agreement: Other', 1, 1),
('Agreements/Services', 1, 0, 'Agreement:  Service Plan Created', 1, 1),
('Agreements/Services', 1, 0, 'Agreement:  Service Plan Updated', 1, 1),
('Agreements/Services', 1, 0, 'Agreement: Trial Job', 1, 1),
('Agreements/Services', 1, 0, 'Agreement: Work Experience', 1, 1),
('Agreements/Services', 1, 10, 'Service: Human Resource Issues', 1, 1),
('Agreements/Services', 1, 1025, 'Service: H2A Field Check', 1, 1),
('Agreements/Services', 1, 33, 'Service: Incumbant Worker Services', 1, 1),
('Agreements/Services', 1, 0, 'Service: Job Fair Assistance/Preparation', 1, 1),
('Agreements/Services', 1, 35, 'Service: Layoff-Response Planning', 1, 1),
('Agreements/Services', 1, 9, 'Service: Link to Company Home Page', 1, 1),
('Agreements/Services', 1, 5, 'Service: Marketing Assistance', 1, 1),
('Agreements/Services', 1, 0, 'Service: Not Otherwise Described', 1, 1),
('Agreements/Services', 1, 0, 'Service: OFCCP Consultation', 1, 1),
('Agreements/Services', 1, 34, 'Service: Rapid Response/Business Downsizing', 1, 1),
('Agreements/Services', 1, 0, 'Service: Spider Company Home Page ', 1, 1),
('Agreements/Services', 1, 11, 'Service: Statutory (legal) Issues', 1, 1),
('Agreements/Services', 1, 30, 'Service: Strategic Planning/Economic Development', 1, 1),
('Agreements/Services', 1, 32, 'Service:  Training Services', 1, 1),
('Agreements/Services', 1, 0, 'Service: Workforce Needs Assessment', 1, 1),

('Contact/Info Provided', 1, 1005, 'E-Mail: Blast', 1, 1),
('Contact/Info Provided', 1, 1005, 'E-Mail: Individual', 1, 1),
('Contact/Info Provided', 1, 0, 'Employer Office Tour', 1, 1),
('Contact/Info Provided', 1, 0, 'Employer Office Visit', 1, 1),
('Contact/Info Provided', 1, 1004, 'Follow-Up: General', 1, 1),
('Contact/Info Provided', 1, 1, 'Letter/Mailing', 1, 1),
('Contact/Info Provided', 1, 3, 'Phone Call/Left Message', 1, 1),
('Contact/Info Provided', 1, 0, 'Program/Services Discussion', 1, 1),
('Contact/Info Provided', 1, 1026, 'Referred: Business Services ', 1, 1),
('Contact/Info Provided', 1, 26, 'Tax Audit', 1, 1),
('Contact/Info Provided', 1, 2, 'Visit Employer Location/On-Site', 1, 1),
('Contact/Info Provided', 1, 0, 'Info: Bonding Assistance', 1, 1),
('Contact/Info Provided', 1, 28, 'Info: Business/Support Services (Central staff)', 1, 1),
('Contact/Info Provided', 1, 28, 'Info: Business/Support Services (Local staff)', 1, 1),
('Contact/Info Provided', 1, 0, 'Info: Demand Occupations', 1, 1),
('Contact/Info Provided', 1, 12, 'Info: Economic/Labor Market Issues', 1, 1),
('Contact/Info Provided', 1, 0, 'Info: Employer Advisory Committee', 1, 1),
('Contact/Info Provided', 1, 4, 'Info: Employer Company Profile', 1, 1),
('Contact/Info Provided', 1, 0, 'Info: Equal Opportunity Employment ', 1, 1),
('Contact/Info Provided', 1, 0, 'Info: Federal Contractor', 1, 1),
('Contact/Info Provided', 1, 22, 'Info: Foreign Labor Certifications', 1, 1),
('Contact/Info Provided', 1, 0, 'Info: Initial Outreach', 1, 1),
('Contact/Info Provided', 1, 14, 'Info: Job Fair & Other Events', 1, 1),
('Contact/Info Provided', 1, 1001, 'Info: JobFit Employer Documentation', 1, 1),
('Contact/Info Provided', 1, 1002, 'Info: JobFit Surveys', 1, 1),
('Contact/Info Provided', 1, 0, 'Info: Job Skill Needs', 1, 1),
('Contact/Info Provided', 1, 23, 'Info: Labor Market Information/Customized', 1, 1),
('Contact/Info Provided', 1, 19, 'Info: Labor Market Information/Preview', 1, 1),
('Contact/Info Provided', 1, 0, 'Info: Local Area Performance', 1, 1),
('Contact/Info Provided', 1, 1023, 'Info: NCRC/Work Keys Program', 1, 1),
('Contact/Info Provided', 1, 1023, 'Info: NCRC/Work Keys Profiling', 1, 1),
('Contact/Info Provided', 1, 0, 'Info: Online Services/Activities', 1, 1),
('Contact/Info Provided', 1, 0, 'Info: Other Self-Services', 1, 1),
('Contact/Info Provided', 1, 0, 'Info: Program Costs/Performance', 1, 1),
('Contact/Info Provided', 1, 1007, 'Info: Rapid Response', 1, 1),
('Contact/Info Provided', 1, 0, 'Info: Registration/Job Order', 1, 1),
('Contact/Info Provided', 1, 0, 'Info: Tax Credits', 1, 1),
('Contact/Info Provided', 1, 0, 'Info: Testing Services', 1, 1),
('Contact/Info Provided', 1, 0, 'Info: Training / Workshops', 1, 1),
('Contact/Info Provided', 1, 27, 'Info: Unemployment Insurance', 1, 1),
('Contact/Info Provided', 1, 31, 'Info: Untapped Labor-Pool Activities', 1, 1),
('Contact/Info Provided', 1, 0, 'Info: USERRA', 1, 1),
('Contact/Info Provided', 1, 1006, 'Info: Veteran Services Outreach', 1, 1),
('Contact/Info Provided', 1, 0, 'Info: Workforce Services', 1, 1),

('Events', 1, 8, 'Employer Committee Meeting', 1, 1),
('Events', 1, 7, 'Employer Committee Member ', 1, 1),
('Events', 1, 14, 'Job Fair Participation', 1, 1),
('Events', 1, 23, 'On-Site Review/Customized LMI', 1, 1),
('Events', 1, 0, 'On-Site Interviewing', 1, 1),
('Events', 1, 17, 'On-Site Recruitment', 1, 1),
('Events', 1, 1007, 'Rapid Response', 1, 1),

('Job and Applicant Management', 1, 1008, 'Account Management', 1, 1),
('Job and Applicant Management', 1, 1016, 'Employment / Work History', 1, 1),
('Job and Applicant Management', 1, 15, 'Job Analysis', 1, 1),
('Job and Applicant Management', 1, 0, 'Job Development: Regular', 1, 1),
('Job and Applicant Management', 1, 0, 'Job Development: Targeted', 1, 1),
('Job and Applicant Management', 1, 0, 'Job-Order Taking:  Apprenticeship', 1, 1),
('Job and Applicant Management', 1, 0, 'Job-Order Follow-up', 1, 1),
('Job and Applicant Management', 1, 16, 'Job-Order Taking:  Regular', 1, 1),
('Job and Applicant Management', 1, 25, 'Job-Order Writing Assistance', 1, 1),
('Job and Applicant Management', 1, 0, 'Job-Seeker Eligibility Screening', 1, 1),
('Job and Applicant Management', 1, 0, 'Job-Seeker Pre-Screening', 1, 1),
('Job and Applicant Management', 1, 0, 'Job-Seeker Recruitment', 1, 1),
('Job and Applicant Management', 1, 18, 'Job-Seeker Screening', 1, 1),
('Job and Applicant Management', 1, 1022, 'KY Manufacturing Skills Standards', 1, 1),
('Job and Applicant Management', 1, 24, 'Review Employment Applications', 1, 1),
('Job and Applicant Management', 1, 1017, 'Self-Directed Search', 1, 1),
('Job and Applicant Management', 1, 29, 'Workforce Recruitment', 1, 1),

('Tax Credits', 1, 21, 'Certification', 1, 1),
('Tax Credits', 1, 1010, 'Enterprise Zone ', 1, 1),
('Tax Credits', 1, 1011, 'UTC', 1, 1),
('Tax Credits', 1, 0, 'Other ', 1, 1),
('Tax Credits', 1, 1012, 'Welfare-to-Work', 1, 1),
('Tax Credits', 1, 1013, 'Work Opportunities (WOTC)', 1, 1),

('Testing/Assessments', 1, 1014, 'CAB (Comprehensive Ability Battery)', 1, 1),
('Testing/Assessments', 1, 1015, 'Educational/Basic Skill Level', 1, 1),
('Testing/Assessments', 1, 1021, 'Employer Provided (Valid)', 1, 1),
('Testing/Assessments', 1, 1023, 'NCRC/Work Keys: Profiling Completed', 1, 1),
('Testing/Assessments', 1, 1023, 'NCRC/Work Keys: Profiling Requested', 1, 1),
('Testing/Assessments', 1, 1023, 'NCRC/Work Keys: Test Applicants', 1, 1),
('Testing/Assessments', 1, 1023, 'NCRC/Work Keys: Test Incumbants', 1, 1),
('Testing/Assessments', 1, 0, 'State-Specific Testing', 1, 1),
('Testing/Assessments', 1, 1018, 'TABE', 1, 1),
('Testing/Assessments', 1, 1019, 'TABE-WF', 1, 1),
('Testing/Assessments', 1, 20, 'Testing/General', 1, 1),
('Testing/Assessments', 1, 1020, 'Typing/Clerical/Keyboarding ', 1, 1),

('Workshops/Seminars', 1, 33, 'Incumbent Worker Services', 1, 1),
('Workshops/Seminars', 1, 1000, 'JobFit Employer Orientation', 1, 1),
('Workshops/Seminars', 1, 1003, 'JobFit Employer Training', 1, 1),
('Workshops/Seminars', 1, 0, 'OJT Contracting Assistance', 1, 1),
('Workshops/Seminars', 1, 30, 'Other Seminar', 1, 1),
('Workshops/Seminars', 1, 6, 'Self-Service Training', 1, 1),
('Workshops/Seminars', 1, 0, 'Tax Credit Assistance', 1, 1),
('Workshops/Seminars', 1, 0, 'Unemployment Insurance Services', 1, 1),
('Workshops/Seminars', 1, 0, 'Workforce Services ', 1, 1),
('Workshops/Seminars', 1, 0, 'Workshop/Seminar Attended', 1, 1)

MERGE 
	[Config.Activity] AS T
USING 
	(
		SELECT
			CASE TA.ActivityType WHEN 0 THEN N'JobSeeker' ELSE N'Employer' END + N'Activity.' 
				+ RIGHT(N'000' + CAST(TA.Id AS NVARCHAR(10)), 3) AS LocalisationKey,
			AC.Id AS ActivityCategoryId,
			TA.ExternalId, 
			TA.ActivityName, 
			TA.Visible,
			TA.Administrable
		FROM
			@Activities TA
		INNER JOIN [Config.ActivityCategory] AC
			ON AC.Name = TA.CategoryName
			AND AC.ActivityType = TA.ActivityType
	) AS S 
ON 
	(S.ActivityCategoryId = T.ActivityCategoryId AND S.ActivityName = T.Name) 
WHEN NOT MATCHED BY TARGET THEN 
	INSERT (ActivityCategoryId, Name, LocalisationKey, Visible, Administrable, SortOrder, Used, ExternalId) 
	VALUES (S.ActivityCategoryId, S.ActivityName, S.LocalisationKey, S.Visible, S.Administrable, 0, 0, S.ExternalId)
WHEN MATCHED THEN 
	UPDATE SET 
		T.LocalisationKey = S.LocalisationKey,
		T.ExternalId = S.ExternalId,
		T.Visible = S.Visible,
		T.Administrable = S.Administrable
WHEN NOT MATCHED BY SOURCE THEN 
	UPDATE SET 
		T.LocalisationKey = 'N/A',
		T.ExternalId = 0,
		T.Visible = 0,
		T.Administrable = 0
OUTPUT 
	$action, inserted.*, deleted.*;
